<!DOCTYPE html>
<head>
    <title> Query to Clip: Dless </title>
    <style>
        .button{
            height:300px;
            width:100%;
        }
        body{
            background-color: rgb(10, 160, 120);
        }

    </style>
</head>
<body>
<script type='text/javascript'>
function getQueryVariable(variable)
{
       var query = window.location.search.substring(1);
       var vars = query.split("&");
       for (var i=0;i<vars.length;i++) {
               var pair = vars[i].split("=");
               if(pair[0] == variable){return pair[1];}
       }
       return(false);
};
var clip = getQueryVariable('clip');
function copyStringToClipboard (str) {
   // Create new element
   var el = document.createElement('textarea');
   // Set value (string to be copied)
   el.value = clip;
   // Set non-editable to avoid focus and move outside of view
   el.setAttribute('readonly', '');
   el.style = {position: 'absolute', left: '-9999px'};
   document.body.appendChild(el);
   // Select text inside element
   el.select();
   el.setSelectionRange(0, 99999); /* For mobile devices */
   // Copy text to clipboard
   document.execCommand('copy');
   // Remove temporary element
   document.body.removeChild(el);
};
function clipb(){
copyStringToClipboard(clip);
var alert1 = 'Copied ';
var alert2 = ' to clipboard successfully!';
var message = alert1.concat(clip.concat(alert2));
console.log(message)
var para = document.getElementById("message");
para.innerHTML = message;
}

</script>
<button onclick="clipb()" id='clipbutton' class='button' style='background-color:rgb(0,80,100);color:rgb(80,160,120);border-radius:6px;'><h1>Click me to copy text! <span></span></h1></button>
<h1 id="message"></h1>
</body>
</html>
